X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

The Java plugin does not show up in the Plugins tab

Posted

The machine is a SLES11 running on x86_64 architecture. Firefox is version 3.0.6 (from the SLES11 installation DVD). I have installed jre-6u25 under /usr/java. I have restarted Firefox after the installation. No Java plugin shows up under Tools/Add-ons/Plugins.

What do I need to do to make it show up?

Chosen solution

I am wondering why the IBM java that ships with SLES 11 doesn't meet your needs, but that's another discussion completely.

It looks like the jre installation instructions are assuming SLES 10 as when you look the plugins directory for firefox does not exist.

To get the plugin to work I did the following:

1. I installed the jre as described (ie ./jre-6u26-linux-x64-rpm.bin)

2. Created a plugins directory in /usr/lib64/firefox/

3. then modified the directory rights (chmod 755 /usr/lib64/firefox/plugins/)

4. created a softlink to the libnpjp2.so file ln -s /usr/java/jre1.6.0_26/lib/amd64/libnpjp2.so

5. Restarted firefox and checked for the plugin, which was there.

6. went to www.java.com/en/download/testjava.jsp and got the "Your Java is working" message

The above assumes that you are using the 64bit version of SLES 11, but I would guess that doing the same thing on a 32bit installation would also work.

The other solution is to use yast software management and install the 1.6 version of the IBM Java that is included with SLES 11 making sure you also install the java plugin rpm.

Read this answer in context 1

Additional System Details

Installed Plug-ins

OpenSC Signer plugin

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:2.0) Gecko/20100101 Firefox/4.0

More Information

linuxwannabe 1 solutions 1 answers

Chosen Solution

I am wondering why the IBM java that ships with SLES 11 doesn't meet your needs, but that's another discussion completely.

It looks like the jre installation instructions are assuming SLES 10 as when you look the plugins directory for firefox does not exist.

To get the plugin to work I did the following:

1. I installed the jre as described (ie ./jre-6u26-linux-x64-rpm.bin)

2. Created a plugins directory in /usr/lib64/firefox/

3. then modified the directory rights (chmod 755 /usr/lib64/firefox/plugins/)

4. created a softlink to the libnpjp2.so file ln -s /usr/java/jre1.6.0_26/lib/amd64/libnpjp2.so

5. Restarted firefox and checked for the plugin, which was there.

6. went to www.java.com/en/download/testjava.jsp and got the "Your Java is working" message

The above assumes that you are using the 64bit version of SLES 11, but I would guess that doing the same thing on a 32bit installation would also work.

The other solution is to use yast software management and install the 1.6 version of the IBM Java that is included with SLES 11 making sure you also install the java plugin rpm.

Question owner

Thank you so much!